%global momorel 1
Summary: userspace virtual filesystem
Name: gvfs
Version: 1.2.3
Release: %{momorel}m%{?dist}
License: LGPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.2/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: dbus-devel >= 1.2.4
BuildPrereq: libsoup-devel >= 2.26.0
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: avahi-glib-devel >= 0.6.24
BuildPrereq: avahi-devel >= 0.6.24
BuildPrereq: libcdio-devel >= 0.80
BuildPrereq: fuse-devel >= 2.7.4
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: hal-devel >= 0.5.12
BuildPrereq: dbus-glib-devel >= 0.80
BuildPrereq: bluez-libs-devel >= 4.32
BuildPrereq: libgphoto2-devel >= 2.4.3
BuildPrereq: gnome-keyring-devel >= 2.26.0
Requires: GConf2

%description
gvfs is a userspace virtual filesystem designed to work with the i/o
abstractions of gio (a library availible in glib >= 2.15.1). It
installs several modules that are automatically used by applications
using the APIs of libgio. There is also fuse support that allows
applications not using gio to access the gvfs filesystems.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/profile.d/gvfs-bash-completion.sh
%{_bindir}/gvfs*
%{_libdir}/gio/modules/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_libexecdir}/gvfs*
%{_datadir}/dbus-1/services/gvfs-daemon.service
%{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
%{_datadir}/dbus-1/services/org.gtk.Private.HalVolumeMonitor.service
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/gvfs-client
%{_libdir}/*.so

%changelog
* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.2-1m)
- update to 1.2.2

* Fri Apr  3 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.8-1m)
- update to 1.1.8

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.7-1m)
- update to 1.1.7

* Mon Feb 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.6-1m)
- update to 1.1.6

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.5-1m)
- update to 1.1.5

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.3-3m)
- rebuild against rpm-4.6

* Sat Dec 20 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.0.3-2m)
- rebuild against bluez-4.22

* Mon Nov 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Thu Oct  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.5-2m)
- rebuild against gnutls-2.4.1 (libsoup)

* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.5-1m)
- update to 0.2.5

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.4-1m)
- update to 0.2.4

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.3-1m)
- update to 0.2.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.2-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Tue Mar 18 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Wed Mar 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0.1-1m)
- initial build
